### Method

# Gio ApplicationCommandLine get_cwd

since: 2.28

#### Declaration [src]

    const gchar*
    g_application_command_line_get_cwd (
      GApplicationCommandLine* cmdline
    )

#### Description [src]

Gets the working directory of the command line invocation. The string may contain non-utf8 data.

It is possible that the remote application did not send a working directory, so this may be `NULL`.

The return value should not be modified or freed and is valid for as long as `cmdline` exists.

Available since: 2.28

#### Return value

Type: `const gchar*`

The current directory, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.